class CreateProductOrderProducts < ActiveRecord::Migration
  def change
    create_table :product_order_products do |t|
      t.references :product_order
      t.references :product
      t.string :name
      t.decimal :price_ht, precision: 10, scale: 2
      t.decimal :price_reduced_ht, precision: 10, scale: 2
      t.integer :product_archived_id
      t.decimal :qty
      t.decimal :total, precision: 10, scale: 2
      t.integer :product_size_id
      t.integer :product_option_id

      t.timestamps null: false
    end
    
  end
end
